import { SeriesDescription } from "./SeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class HighDensityScatterSeriesDescription extends SeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private ek;
    get xAxisRef(): string;
    set xAxisRef(a: string);
    private eo;
    get yAxisRef(): string;
    set yAxisRef(a: string);
    private en;
    get xMemberPath(): string;
    set xMemberPath(a: string);
    private el;
    get xMemberAsLegendLabel(): string;
    set xMemberAsLegendLabel(a: string);
    private ep;
    get yMemberAsLegendLabel(): string;
    set yMemberAsLegendLabel(a: string);
    private em;
    get xMemberAsLegendUnit(): string;
    set xMemberAsLegendUnit(a: string);
    private eq;
    get yMemberAsLegendUnit(): string;
    set yMemberAsLegendUnit(a: string);
    private er;
    get yMemberPath(): string;
    set yMemberPath(a: string);
    private d6;
    get useBruteForce(): boolean;
    set useBruteForce(a: boolean);
    private d5;
    get progressiveLoad(): boolean;
    set progressiveLoad(a: boolean);
    private ea;
    get heatMinimum(): number;
    set heatMinimum(a: number);
    private d9;
    get heatMaximum(): number;
    set heatMaximum(a: number);
    private ei;
    get heatMinimumColor(): string;
    set heatMinimumColor(a: string);
    private eh;
    get heatMaximumColor(): string;
    set heatMaximumColor(a: string);
    private ed;
    get pointExtent(): number;
    set pointExtent(a: number);
    private ee;
    get progressiveStatus(): number;
    set progressiveStatus(a: number);
    private ej;
    get progressiveLoadStatusChangedRef(): string;
    set progressiveLoadStatusChangedRef(a: string);
}
